> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedspace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Video Review

> Import a video review manually into the workspace. All fields are optional. If `type` is 'file', then `attachments[]` (video files) is required. If `type` is not 'file' or omitted, then `attachment_urls[]` (S3 URLs) is required.



## OpenAPI

````yaml POST /imports/self-imports/video-review
openapi: 3.1.0
info:
  title: Feedspace API
  description: Feedspace API v3 - Feedback and testimonial management platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.feedspace.io/v3
security: []
paths:
  /imports/self-imports/video-review:
    post:
      tags:
        - Imports
      description: >-
        Import a video review manually into the workspace. All fields are
        optional. If `type` is 'file', then `attachments[]` (video files) is
        required. If `type` is not 'file' or omitted, then `attachment_urls[]`
        (S3 URLs) is required.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/VideoReviewImportRequest'
      responses:
        '200':
          description: Video review imported successfully.
          content:
            application/json:
              schema:
                type: object
              examples:
                success:
                  value:
                    data:
                      project_id: 5020
                      social_platform_id: 53
                      source: Manual Video Review
                      extra_details: >-
                        {"customer_name":"User","customer_email":"developer@feedspace.io","customer_designation":"Engineer","customer_company":"Feedspace","rating":"5","review_url":"https:\/\/www.feedspace.io\/","review":"Excellent
                        Digital Product. They create client testimonial videos
                        and interview the clients from the comfort of their own
                        homes.","type":"file","fs_workspace_id":"workspace_XFNj94dgkDhc6lc5rsjF66nr","fs_original_workspace_id":5020,"customer_avatar":{},"website_logo":{},"attachments":[{}],"search":"Manual
                        Video Review"}
                      is_feed_imported: 1
                      user_id: 7243
                      created_by: 7243
                      updated_at: '2025-06-18T12:58:29.000000Z'
                      created_at: '2025-06-18T12:58:29.000000Z'
                      id: 4585
                      user:
                        id: 7243
                        unique_user_id: zhBU6t
                        appsumo_uuid: null
                        name: User
                        email: developer@feedspace.io
                        email_verified_at: null
                        referred_by: '0'
                        payment_email: null
                        provider: null
                        provider_id: null
                        plan_id: null
                        beta_user: 0
                        is_verified_account: 1
                        is_blocked: 0
                        ip_address: 49.36.88.114
                        created_at: '2025-04-04T11:52:43.000000Z'
                        updated_at: '2025-04-04T11:52:43.000000Z'
                      social_platform:
                        id: 53
                        slug: manual_video_review
                        name: Manual Video Review
                        url: null
                        icon_url: >-
                          /assets/img/social-icons/v2/manual_video_review_icon.svg
                        review_type: 1
                        auto_sync_status: 0
                        created_at: '2025-05-29T08:47:05.000000Z'
                        updated_at: '2025-05-29T08:47:05.000000Z'
                        icon_full_url: >-
                          https://static.feedspace.io/assets/img/social-icons/v2/manual_video_review_icon.svg
                      social_feeds:
                        - id: 179022
                          unique_feedback_id: QDU5g4
                          user_id: 7243
                          project_id: 5020
                          social_platform_id: 53
                          social_feed_source_id: 4585
                          import_scheduler_id: null
                          feed_type: manual_video
                          review_id: FlsqMs
                          review: >-
                            Excellent Digital Product. They create client
                            testimonial videos and interview the clients from
                            the comfort of their own homes.
                          review_title: null
                          review_url: https://www.feedspace.io/
                          review_website_logo: >-
                            uploads/zhBU6t/manual_video_review-reviews/manual_video_review-review-author-profile-GHgS-1750251509.jpg
                          rating: 5
                          rating_type: 1
                          is_rating_display: 1
                          customer_name: User
                          customer_email: developer@feedspace.io
                          customer_company: Feedspace
                          customer_designation: Engineer
                          customer_avatar: >-
                            uploads/zhBU6t/manual_video_review-reviews/manual_video_review-review-author-profile-CAVq-1750251509.jpg
                          review_at: '2025-06-18 12:58:29'
                          extra_details: >-
                            {"customer_name":"User","customer_email":"developer@feedspace.io","customer_designation":"Engineer","customer_company":"Feedspace","rating":"5","review_url":"https:\/\/www.feedspace.io\/","review":"Excellent
                            Digital Product. They create client testimonial
                            videos and interview the clients from the comfort of
                            their own
                            homes.","type":"file","fs_workspace_id":"workspace_XFNj94dgkDhc6lc5rsjF66nr","fs_original_workspace_id":5020,"customer_avatar":{},"website_logo":{},"attachments":[{}],"search":"Manual
                            Video Review"}
                          favourite: 0
                          sentiment_id: null
                          review_submitted_at: '2025-06-18 12:58:29'
                          created_by: 7243
                          deleted_at: null
                          created_at: '2025-06-18T12:58:29.000000Z'
                          updated_at: '2025-06-18T12:58:29.000000Z'
      security:
        - basicAuth: []
components:
  schemas:
    VideoReviewImportRequest:
      type: object
      description: >-
        Request body for importing a video review manually. All fields are
        optional. If `type` is 'file', then `attachments[]` (video files) is
        required. If `type` is not 'file' or omitted, then `attachment_urls[]`
        (S3 URLs) is required.
      properties:
        customer_avatar:
          type: string
          format: binary
          description: >-
            Customer avatar image (optional). Allowed formats: jpeg, png, jpg,
            gif, svg, webp, bmp, avif. Max size: 15 MB
        customer_name:
          type: string
          description: Customer name (optional)
        customer_email:
          type: string
          format: email
          description: Customer email (optional, must be valid email format)
        customer_designation:
          type: string
          description: Customer designation/job title (optional)
        customer_company:
          type: string
          description: Customer company name (optional)
        customer_company_url:
          type: string
          format: uri
          description: Customer company website URL (optional)
        customer_company_logo:
          type: string
          format: binary
          description: >-
            Customer company logo image (optional). Allowed formats: jpeg, png,
            jpg, gif, svg, webp, bmp, avif. Max size: 15 MB
        rating:
          type: integer
          minimum: 0
          maximum: 5
          description: Rating value (0 = lowest, 5 = highest, optional)
        review_url:
          type: string
          format: uri
          description: Review source URL (optional)
        review:
          type: string
          description: Review text content (optional)
        review_at:
          type: string
          format: date
          description: Date when the review was submitted (YYYY-MM-DD format, optional)
        website_logo:
          type: string
          format: binary
          description: >-
            Website logo image (optional). Allowed formats: jpeg, png, jpg, gif,
            svg, webp, bmp, avif. Max size: 15 MB
        type:
          type: string
          description: >-
            Type of import. Use 'file' to upload video files via
            `attachments[]`, or omit/use other value to provide S3 URLs via
            `attachment_urls[]` (optional)
        attachments[]:
          type: string
          format: binary
          description: >-
            Video files (required if type='file'). Must be valid video files
            (video/* mime types)
          nullable: true
        attachment_urls[]:
          type: string
          format: uri
          description: >-
            S3 URLs for video files (required if type is not 'file' or omitted).
            Must be valid S3 URLs
          nullable: true
      required: []
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        HTTP Basic Authentication using API Key and Secret Key. The credentials
        should be Base64 encoded in the format 'api_key:secret_key'. You can
        obtain your API Key and Secret Key from Feedspace → Automation → API
        (https://app.feedspace.io/automation/api).

````